Bug 678638 - Cannot tab through elements on "Create New Role" page
Cannot tab through elements on "Create New Role" page
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.3.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks: gwt-admin-usersroles jon3 rhq-uxd
  Show dependency treegraph
 
Reported: 2011-02-18 12:41 EST by Corey Welton
Modified: 2013-09-04 03:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 03:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2011-02-18 12:41:03 EST
Description of problem:

If user tries to tab through all the elements on the "Create new role" page, only a few are selectable

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Navigate to the "Create new role" page.
2.  Put your cursor in the "Name field" and enter a bit of text
3.  Hit tab multiple (5-10) times.
4. View results
Actual results:
User is taken to Description, then the "permissions" tab.  Then the highlighted area wanders off somewhere and eventually goes to the "Save", "Reset" buttons, etc., and then back up to browser URLbar

Expected results:
User should be able to navigate all elements within the frame via tab.

Additional info:
Comment 1 Mike Thompson 2012-02-06 18:59:49 EST
I made the tab sequence more predictable. It doesn't go off to who knows where. It now follows name, description, tabs and then tabs through each heading in the tables followed by the button at the bottom of the screen.

Further enhancements could be to remove the table headings from the tab sequence. I spent a considerable amount of time trying to make this piece work -- to no avail. I can only assume that this would be a global issue throughout the application.
Comment 2 Mike Thompson 2012-02-06 19:07:17 EST
Commit: b47810b
Comment 3 Jeeva Kandasamy 2012-08-08 08:28:57 EDT
User is able to navigate all elements within the frame via tab. Tab sequence includes table headings also.

RHQ Version:
------------
Version: 4.5.0-SNAPSHOT
Build Number: 11f741e
GWT Version: 2.4.0
SmartGWT Version: 3.0

JON Version:
-----------
Version: 3.1.1.ER1
Build Number: f629a35:6910991
GWT Version: 2.4.0
SmartGWT Version: 3.0
Comment 4 Heiko W. Rupp 2013-09-04 03:32:12 EDT
Done in an old release, closing now.

Note You need to log in before you can comment on or make changes to this bug.